Skip to main content

Capture One Pro 22 not opening after Mac upgrade to Ventura

Comments

18 comments

  • HGL

    Please use the help function of the forum. There are several forum posts with solutions.

    0
  • FirstName LastName

    I think a download link for 22 pro would help me.

    0
  • Stanley L. Green

    HGL

    Where is the "help function of the forum".  

    0
  • Ian Wilson
    Moderator
    Top Commenter

    The latest update for Capture One 22 (released earlier this week) is 15.4.3, and it supports Ventura. (Older releases of version 22 may not work with Ventura.) You should be able to log on to your account at the Capture One website and download it. You may need to scroll down on the download page to get top previous versions rather than the new version 23.

    Ian

    0
  • Ian Wilson
    Moderator
    Top Commenter

    Stanley L. Green - I think HGL may have meant Search not Help.

    Ian

    0
  • Stanley L. Green

    Ian,Thank you.  Unfortunately I have 13.0.1 and 15.3.4.4 and C1 has stopped working in the middle of an extensive operation. I restarted my Mac and now I am unable to Edit With or Open With. C1 is the only application behaving this way.  Why didn't C1 come up to speed when Apple provided them preliminary copies of Venture, everybody else did

     

    0
  • Stanley L. Green

    I guess my only option is to go back to 12

    0
  • Ian Wilson
    Moderator
    Top Commenter

    You can be pretty sure that Capture One 12 won't run on Ventura! Or did you mean MacOS 12?

    If you have Capture One 15.3, you can upgrade (free) to 15.4.3. (I'm not sure there was a 15.3.4.4 so maybe that is not what you meant.)

    Ian

     

     

    0
  • Stanley L. Green

    Oops my fat fingers got in the way, I meant to type 15..4.3.4. And yes  OS 12

     

    0
  • Ian Wilson
    Moderator
    Top Commenter

    When you have time to do it, reinstalling Capture One might be the answer. It may be just as quick as reverting to MacOS 12 in any case, unless you have that on another machine.

    Ian

    0
  • Stanley L. Green

    I reinstalled C1 (replaced the old copy) and I am still unable to "Edit With" or "Open With"

    This sucks!!

    0
  • Ian Wilson
    Moderator
    Top Commenter

    Have you looked at what is listed in the Open with Plug-in in Preferences? Is your current version of Photoshop (or whatever it is you are trying to use) listed and checked?

    Ian

    0
  • Stanley L. Green

    Ian, You are my HERO. For some reason that escapes me, all of the open withs were unchecked

     

    0
  • Stanley L. Green

    They were all working when I started the project this morning but mid-way through they seemed to get turned off

    0
  • Stanley L. Green

    At the time that something was going wrong (I did not recognize that I was having problems at the time) I was unable to complete the round trip. It did not occur to me to check the prefs.

    Again, thank you!!

    0
  • Stanley L. Green

    Ian,

    Thanks to you I was able to complete the project. Here is the result:

    0
  • FirstName LastName

    I downloaded and installed version 15.4.3.
    After starting it says: "De licentiecode kon niet worden gecontroleerd door de server." which is Dutch for the license code could not be verified by the server.
    I deactivated the installed version and restarted.
    It asks me to enter my license key. It did except my Pro 22 License key, but not my lifetime license key...

    0
  • Ian Wilson
    Moderator
    Top Commenter

    I'm not sure about "the licence code could not be verified by the server" but I know some people have encountered that one before. Try searching the forum and see what solution was found.

    Stanley L. Green - wow! Rather them than me. I never was much good in a kayak!

    Ian

    0

Please sign in to leave a comment.